%define upstream_name	 Lingua-EN-Inflect
%define upstream_version 1.905

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module to find English word inflections
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
The exportable subroutines of Lingua::EN::Inflect provide plural inflections,
"a"/"an" selection for English words, and manipulation of numbers as words.
Plural forms of all nouns, most verbs, and some adjectives are provided. Where
appropriate, "classical" variants (for example: "brother" -> "brethren",
"dogma" -> "dogmata", etc.) are also provided.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
chmod 644 README Changes lib/Lingua/EN/Inflect.pm
%__perl Makefile.PL INSTALLDIRS=vendor
%{__make}
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README demo
%{perl_vendorlib}/Lingua/*
%{_mandir}/*/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.905.0-2.mga9
+ Revision: 1813703
- Mageia 9 Mass Rebuild

* Wed Dec 09 2020 tv <tv> 1.905.0-1.mga8
+ Revision: 1654813
- update to 1.905

* Sat Feb 15 2020 umeabot <umeabot> 1.904.0-2.mga8
+ Revision: 1526776
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 shlomif <shlomif> 1.904.0-1.mga8
+ Revision: 1415595
- update to 1.904

* Thu Sep 20 2018 umeabot <umeabot> 1.903.0-2.mga7
+ Revision: 1284498
- Mageia 7 Mass Rebuild

* Mon Oct 30 2017 tv <tv> 1.903.0-1.mga7
+ Revision: 1174966
- update to 1.903

* Sat Jul 22 2017 shlomif <shlomif> 1.902.0-1.mga7
+ Revision: 1128681
- update to 1.902

* Sun Jun 19 2016 pterjan <pterjan> 1.899.0-3.mga6
+ Revision: 1029143
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.899.0-2.mga6
+ Revision: 967782
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 1.899.0-1.mga6
+ Revision: 850231
- update to 1.899

* Sun Oct 19 2014 umeabot <umeabot> 1.895.0-6.mga5
+ Revision: 788716
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.895.0-5.mga5
+ Revision: 746575
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.895.0-4.mga5
+ Revision: 685204
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.895.0-3.mga4
+ Revision: 512552
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.895.0-2.mga3
+ Revision: 369008
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.895.0-1.mga3
+ Revision: 294999
- update to 1.895

* Wed Jul 04 2012 jquelin <jquelin> 1.894.0-1.mga3
+ Revision: 267385
- update to 1.894

* Thu Jan 20 2011 jquelin <jquelin> 1.893.0-1.mga1
+ Revision: 26427
- mageia rebuild
- imported package perl-Lingua-EN-Inflect


* Sat Nov 13 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.893.0-1mdv2011.0
+ Revision: 597079
- new version

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.892.0-1mdv2011.0
+ Revision: 552384
- update to 1.892

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.891.0-1mdv2010.1
+ Revision: 461323
- update to 1.891

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.890.0-1mdv2010.0
+ Revision: 407789
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.89-4mdv2009.0
+ Revision: 241599
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.89-2mdv2008.0
+ Revision: 86519
- rebuild


* Mon Jul 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.89-1mdk
- 1.89, complete rewrite of specfile

* Thu Mar 17 2005 Bruno Cornec <bcornec@mandrakesoft.org> 1.88-1mdk
- Initial build.

